org.apache.http.impl.client

## Class AbstractAuthenticationHandler

- java.lang.Object
- - org.apache.http.impl.client.AbstractAuthenticationHandler

- All Implemented Interfaces:
    AuthenticationHandler
  Direct Known Subclasses:
    DefaultProxyAuthenticationHandler, DefaultTargetAuthenticationHandler

  Deprecated.
  (4.2) use `AuthenticationStrategy`

      @Deprecated
      @Contract(threading=IMMUTABLE)
      public abstract class AbstractAuthenticationHandler
      extends Object
      implements AuthenticationHandler

  Base class for `AuthenticationHandler` implementations.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuthenticationHandler()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<String>` | `getAuthPreferences()` Deprecated. Returns default list of auth scheme names in their order of preference.
    `protected List<String>` | `getAuthPreferences(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Returns default list of auth scheme names in their order of preference based on the HTTP response and the current execution context.
    `protected Map<String,org.apache.http.Header>` | `parseChallenges(org.apache.http.Header[] headers)` Deprecated.
    `AuthScheme` | `selectScheme(Map<String,org.apache.http.Header> challenges, org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Selects one authentication challenge out of all available and creates and generates `AuthScheme` instance capable of processing that challenge.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.client.AuthenticationHandler

      `getChallenges, isAuthenticationRequested`

- - ### Constructor Detail

    - #### AbstractAuthenticationHandler

          public AbstractAuthenticationHandler()

      Deprecated.

  - ### Method Detail

    - #### parseChallenges

          protected Map<String,org.apache.http.Header> parseChallenges(org.apache.http.Header[] headers)
                                                                throws MalformedChallengeException

      Deprecated.
      Throws:
        `MalformedChallengeException`

    - #### getAuthPreferences

          protected List<String> getAuthPreferences()

      Deprecated.
      Returns default list of auth scheme names in their order of preference.
      Returns:
        list of auth scheme names

    - #### getAuthPreferences

          protected List<String> getAuthPreferences(org.apache.http.HttpResponse response,
                                        org.apache.http.protocol.HttpContext context)

      Deprecated.
      Returns default list of auth scheme names in their order of preference based on the HTTP response and the current execution context.
      Parameters:
        `response` - HTTP response.
        `context` - HTTP execution context.
      Since:
        4.1

    - #### selectScheme

          public AuthScheme selectScheme(Map<String,org.apache.http.Header> challenges,
                                org.apache.http.HttpResponse response,
                                org.apache.http.protocol.HttpContext context)
                                  throws AuthenticationException

      Deprecated.
      Description copied from interface: `AuthenticationHandler`
      Selects one authentication challenge out of all available and creates and generates `AuthScheme` instance capable of processing that challenge.
      Specified by:
        `selectScheme` in interface `AuthenticationHandler`
      Parameters:
        `challenges` - collection of challenges.
        `response` - HTTP response.
        `context` - HTTP context.
      Returns:
        authentication scheme to use for authentication.
      Throws:
        `AuthenticationException` - if an authentication scheme could not be selected.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.